gss_inquire_mech_for_saslname(3)

NAME
gss_inquire_mech_for_saslname - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_inquire_mech_for_saslname(OM_uint32 * minor_status, const gss_buffer_t sasl_mech_name, gss_OID * mech_type);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_buffer_t sasl_mech_name
    (buffer, character-string, read) Buffer with SASL
      mechanism name.

gss_OID * mech_type
    (OID, modify, optional) Actual mechanism used. The OID
      returned via this parameter will be a pointer to static storage
      that should be treated as read-only; In particular the
      application should not attempt to free it. Specify NULL if not
      required.

DESCRIPTION
Output GSS-API mechanism OID of mechanism associated with given sasl_mech_name.

RETURNS

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_MECH`: There is no GSS-API mechanism known as sasl_mech_name.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.